Classes | Functions
StarObjectPageStyleInternal Namespace Reference

Internal: the structures of a StarObjectPageStyle. More...

## Classes
struct | NoteDesc
| structure to store a endnote/footnote page description More...
struct | PageDesc
| structure to store a page description More...
struct | State
| Internal: the state of a StarObjectPageStyle. More...

## Functions
std::ostream & | operator<< (std::ostream &o, NoteDesc const &desc)
std::ostream & | operator<< (std::ostream &o, PageDesc const &desc)

## Detailed Description

Internal: the structures of a StarObjectPageStyle.

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream & StarObjectPageStyleInternal::operator<< | ( | std::ostream & | o,
|  | NoteDesc const & | desc )

## ◆ operator<<() [2/2]

std::ostream & StarObjectPageStyleInternal::operator<< | ( | std::ostream & | o,
|  | PageDesc const & | desc )